<?php

require_once drupal_get_path('profile', 'apigee') . '/libraries/mgmt-api-php-sdk/vendor/autoload.php';

/**
 * Abstracts the Company object in the Management API and allows clients to
 * manipulate it.
 *
 * Note: at this time Companies do not support paging.
 *
 * @author djohnson
 */
class CompanyNonMint extends Apigee\ManagementAPI\Company {

    /**
     * Adds or updates a developer (and the dev's role) on the Edge server.
     *
     * When updating an existing developer, specify both the developer's email
     * and role.
     *
     * @param string $dev_email
     * @param string $role
     * @param null|string $company_name
     * @throws \Apigee\Exceptions\ParameterException
     */
    public function updateNonMintDeveloper($dev_email, $role = 'developer', $company_name = null)
    {
        $company_name = $company_name;
        if (empty($company_name)) {
            throw new ParameterException('No company name given.');
        }

        $payload = array('developer' => array(
            array(
                'email' => $dev_email,
                'role' => $role)
        ));
        $url = rawurlencode($company_name) . '/developers';
        $this->post($url, $payload);
    }
}
